Subject: Re: bug#59448: 29.0.50; URIs in Dictionary are not properly handled

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Nov 2022 11:45:00 +0200

> From: Gabriel <[email-masked]>
> Date: Sun, 27 Nov 2022 05:27:06 -0300
> 
> However, URIs (e.g.: "http://cs.pdx.edu/~trent/gnu/",
> "http://delorie.com/gnu/" etc) will also be treated as "keywords",
> creating `dictionary-link-button'.  By pressing RET on these buttons, a
> `dictionary-new-search' will be executed, and no results will be found
> (because there are not results for "http://cs.pdx.edu/~trent/gnu/").
> 
> If we open the dictionary result page for "fsf" in any browser (e.g.:
> Firefox, EWW etc), clicking on "keywords" (e.g.: "GNU", "free software",
> "Richard Stallman", "Emacs" etc) will display a new dictionary result
> page and clicking on URIs (e.g.: "http://cs.pdx.edu/~trent/gnu/",
> "http://delorie.com/gnu/" etc) will open the URI.
> 
> The intention of this bug report is to discuss the possibility of
> enhancing the default behavior of dictionary to property identify and
> handle URIs (i.e., to not treat URIs as ordinary dictionary keywords).
> See previous threads for more details.

OK, thanks.  So I think adding discovery of URLs to dictionary.el is the
better alternative.  Patches are welcome.